#2
should probably take it to the recordings forum. Never been there so dunno if this kinda thing is in there though.

"Fully compliant with USB 1.0/1.1 specification ". Aren't recent computers usb 2.0? Might be a problem.
Quote by WtrPlyr
Quote by alans056
Maybe the price tag is clouding your judgment ?
yeah probably. Or the circuits.
#6
^ No, it runs with XP. You don't need Vista.
Quote by denizenz
I'll logic you right in the thyroid.

Art & Lutherie